<#ibiztemplate>
TARGET=PSSYSBACKSERVICE
</#ibiztemplate>
<#comment>引入驼峰配置</#comment>
<#ibizinclude>/SLN/globalfunc.cfg</#ibizinclude>
package ${pub.getPKGCodeName()}.core.util.job;

import com.baomidou.jobs.api.JobsResponse;
import com.baomidou.jobs.exception.JobsException;
import com.baomidou.jobs.handler.IJobsHandler;
import org.springframework.stereotype.Component;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import lombok.extern.slf4j.Slf4j;
<#assign hasDEAction=false>
<#if item.getPSDataEntity?? && item.getPSDataEntity()?? && item.getPSDEAction?? && item.getPSDEAction()??>
    <#assign hasDEAction=true>
    <#assign de=item.getPSDataEntity()>
    <#assign deaction=item.getPSDEAction()>
</#if>

@Slf4j
@Component("${item.codeName}JobHandler")
public class ${item.codeName}JobHandler implements IJobsHandler {

    <#if hasDEAction>
    @Autowired
    @Lazy
    protected ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.service.I${de.getCodeName()}Service ${srfr7templcaseformat(de.getCodeName())}Service;
    </#if>

    @Override
    public JobsResponse execute(String tenantId, String param) throws JobsException {
        <#if hasDEAction>
        ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.domain.${de.codeName} entity = ${pub.getPKGCodeName()}.util.helper.Setting.getEntity(param, new ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.domain.${de.codeName}());
        entity.set("tenantid", tenantId);
        entity.set("param", param);
        ${srfr7templcaseformat(de.getCodeName())}Service.${srfmethodname(deaction.getCodeName())}(entity);
        </#if>
        log.info("执行 DemoJobHandler tenantId=" + tenantId + ",param=" + param);
        return JobsResponse.ok();
    }
}